]> arthur.barton.de Git - bup.git/blobdiff - cmd/split-cmd.py
configure-version: completely handle _version.py
[bup.git] / cmd / split-cmd.py
index 70daf7c688258b7da31c34a2bac83015c3316fac..b7c7c86e0e00d24aec141ef2193df76eb43a2838 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import os, sys, time
 from bup import hashsplit, git, options, client
 from bup.helpers import *